summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2016-04-17 19:02:19 +0200
committerDavide Pesavento <pesa@gentoo.org>2016-04-17 19:02:19 +0200
commit9c575cb9e3ed2cefc2ec0c2324f60bcd03af2d35 (patch)
treee378b198a09da93019e81f48de30e733c23a4368 /eclass/qt4-build-multilib.eclass
parentapp-emulation/containerd: initial import (diff)
downloadgentoo-9c575cb9e3ed2cefc2ec0c2324f60bcd03af2d35.tar.gz
gentoo-9c575cb9e3ed2cefc2ec0c2324f60bcd03af2d35.tar.bz2
gentoo-9c575cb9e3ed2cefc2ec0c2324f60bcd03af2d35.zip
qt4-build-multilib.eclass: prepare configure for gcc-6 and beyond
Diffstat (limited to 'eclass/qt4-build-multilib.eclass')
-rw-r--r--eclass/qt4-build-multilib.eclass4
1 files changed, 4 insertions, 0 deletions
diff --git a/eclass/qt4-build-multilib.eclass b/eclass/qt4-build-multilib.eclass
index 51a2f303d091..8007f862a8c7 100644
--- a/eclass/qt4-build-multilib.eclass
+++ b/eclass/qt4-build-multilib.eclass
@@ -190,6 +190,10 @@ qt4-build-multilib_src_prepare() {
append-flags -mminimal-toc
fi
+ # Teach configure about gcc-6 and later
+ sed -i -e 's:5\*|:[5-9]*|:' \
+ configure || die "sed gcc version failed"
+
# Read also AR from the environment
sed -i -e 's/^SYSTEM_VARIABLES="/&AR /' \
configure || die "sed SYSTEM_VARIABLES failed"